Subject: bug#39469: Openbox - Ark File Archiver does not load

From: Julien Lepiller <[email-masked]>
Date: Mon, 17 Feb 2020 13:33:56 -0500

Le 17 février 2020 12:49:28 GMT-05:00, Jesse Gibbons <[email-masked]> a écrit :
>On Thu, 2020-02-06 at 16:05 -0500, Julien Lepiller wrote:
>> Le 6 février 2020 15:44:35 GMT-05:00, "Scott C. MacCallum via Bug
>> reports for GNU Guix" <[email-masked]> a écrit :
>> > After the installation of all the available desktop environments,
>> > in
>> > Openbox from the Accessories menu, Ark File Archiver does not load.
>> > Error message, "Failed to execute child process "ark" (No such file
>> > or
>> > directory)."
>> > 
>> > Scott
>> > scmguru - irc.freenode.net
>> > 
>> > Sent with [ProtonMail](https://protonmail.com) Secure Email.
>> 
>> See #39468. Ark is not installed on your computer, and the menu is
>> static. I don't think we can do anything about it.
>> 
>> 
>> 
>We could...
>- patch the source so the menu is not static
>- package ark (kde-ark) and include it as a propagated-input to openbox
>- make sure openbox respects $PATH

Openbox already respects $PATH. As an openbox user, I don't expect the menu to be dynamic, unless I install a menu builder (which I kind of do, since I use the guix home manager for that). Ark is not a component of openbox, so I don't think it makes sense to propagate it. I certainly don't want to have it on my system.

As was suggested, the right thing to do is to have an %openbox-suggested-packages added to the set of system packages when installing openbox from the graphical installer. Then it would be up to users to decide what to do. We could also warn that openbox has less automation than other desktop managers. It's only a window manager.